summaryrefslogtreecommitdiffstats
path: root/scripts
diff options
context:
space:
mode:
authorThorsten Leemhuis <fedora@leemhuis.info>2018-04-09 18:48:32 +0200
committerThorsten Leemhuis <fedora@leemhuis.info>2018-04-09 18:48:32 +0200
commit3ac37001f7365481683317e84b61598ebc3c1f57 (patch)
tree97215d3c805ad2e7d596c7e229bf091c14b935ad /scripts
parent35e5331039d83d2f3df9c3d0f4185a895eca32f3 (diff)
parentdcd325ca9e08f74233acb6578d46138bfb4c30aa (diff)
downloadkernel-3ac37001f7365481683317e84b61598ebc3c1f57.tar.gz
kernel-3ac37001f7365481683317e84b61598ebc3c1f57.tar.xz
kernel-3ac37001f7365481683317e84b61598ebc3c1f57.zip
Diffstat (limited to 'scripts')
-rwxr-xr-xscripts/stable-update.sh15
1 files changed, 15 insertions, 0 deletions
diff --git a/scripts/stable-update.sh b/scripts/stable-update.sh
index cd3595a7c..53607f004 100755
--- a/scripts/stable-update.sh
+++ b/scripts/stable-update.sh
@@ -47,6 +47,21 @@ if [ ! -f patch-$1.xz ]; then
fi
fi
+if [ ! -f "patch-$1.sign" ]; then
+ wget "https://cdn.kernel.org/pub/linux/kernel/v4.x/patch-$1.sign"
+ if [ ! $? -eq 0 ]; then
+ echo "Signature download failed"
+ exit 1
+ fi
+fi
+
+xzcat "patch-$1.xz" | gpg2 --verify "patch-$1.sign" -
+if [ ! $? -eq 0 ]; then
+ echo "Patch file has invalid or untrusted signature!"
+ echo "See https://www.kernel.org/category/signatures.html"
+ exit 1
+fi
+
grep $1 sources &> /dev/null
if [ ! $? -eq 0 ]; then
# thl is not an allowed uploader, skip this